import { OnInit, EventEmitter } from '@angular/core';
import { EditorService } from '../services/editor.service';
import { ActivatedRoute, Router } from '@angular/router';
import { DialogService } from '../../../ui-kit/dialog/dialog.service';
import { SnackBarService } from '../../../ui-kit/snack-bar/snack-bar.service';
import * as i0 from "@angular/core";
export declare class CreateAssessmentContainerComponent implements OnInit {
    private dialog;
    editorService: EditorService;
    private route;
    private snackbar;
    private router;
    showCollapse: boolean;
    expandPage: boolean;
    hideQuestion: boolean;
    assessmentId: string;
    assessmentName: string;
    assessmentCategory: string;
    assessmentControlId: string;
    assessmentCurrentState: string;
    pageMode: 'EDIT' | 'PREVIEW';
    isLoaded: boolean;
    openPortal: 'ASSESSMENT_IMPORT' | 'RESPONSIBILITY_CHECKPOINT' | '';
    setIsUploaded: EventEmitter<any>;
    postAssessment: EventEmitter<any>;
    set assessmentData(value: any);
    set checkpointData(value: any);
    onKeydownHandler(event: KeyboardEvent): void;
    constructor(dialog: DialogService, editorService: EditorService, route: ActivatedRoute, snackbar: SnackBarService, router: Router);
    ngOnInit(): void;
    triggerPreviewWithValidation(): void;
    initializeAssessment(assessmentData: any): void;
    initializeCheckpoint(checkpointData: any): void;
    setAllPages(): void;
    addPageDetails(): void;
    entitySettings: any;
    assessmentSettings(): void;
    getSettingsData(): any;
    clickCollapse(): void;
    clickExpand(): void;
    closeExpand(): void;
    deletePage(): void;
    deletePageConfirm(confirmDelete: any): void;
    updatePageNumbersForAllPages(arrayToBeUpdated: any): any;
    updatePageNumberForPageDetails(arrayToBeUpdated: any): any;
    updatePageNumberForQuestions(arrayToBeUpdated: any): any;
    openQuestion(): void;
    closeQuestion(): void;
    deleteQuestionWithValidation(index: any): void;
    checkforError(mode?: any): boolean;
    generatePageDropdown(): {
        value: number;
        template: string;
    }[];
    getPageNameForDropdown(pageNumber: any): string;
    pageChanged(evt: any): void;
    setIdentifier(screen: any): void;
    getPageName(pageNumber: any): void;
    checkForPageDetails(): void;
    changeToInactive(): void;
    addNewPage(): void;
    capitalizeString(stringValue: string): string;
    onDeletePageClick(): void;
    isPageEmpty(): boolean;
    submitAfterErrorCheck(mode: any): void;
    validateWelcomeThankYou(): void;
    save(mode: 'DRAFT' | 'ACTIVE'): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreateAssessmentContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreateAssessmentContainerComponent, "app-create-assessment-container", never, { "openPortal": { "alias": "openPortal"; "required": false; }; "assessmentData": { "alias": "assessmentJSON"; "required": false; }; "checkpointData": { "alias": "checkpointJSON"; "required": false; }; }, { "setIsUploaded": "setIsUploaded"; "postAssessment": "postAssessment"; }, never, never, false, never>;
}
